SET NOCOUNT ON
--FILE NAME EST_PED_ELTR_FORN_CTR_ENV_PG_FORN_INTEGRACAO_ARQ_PENDENTE-REPROCESSAR.sql
IF NOT EXISTS(SELECT ID
              FROM   SYSOBJECTS
              WHERE  NAME = 'EST_PED_ELTR_FORN_CTR_ENV_PG_FORN_INTEGRACAO_ARQ_PENDENTE'
                     AND XTYPE = 'U')
  BEGIN
      RAISERROR('A TABELA EST_PED_ELTR_FORN_CTR_ENV_PG_FORN_INTEGRACAO_ARQ_PENDENTE NA QUAL O CAMPO REPROCESSAR SERÁ ADICIONADO NÃO FOI ENCONTRADA NO BANCO DE DADOS.',16,1)
  END
ELSE
  BEGIN 
		IF NOT EXISTS(SELECT 1 FROM SYSCOLUMNS 
							WHERE 
								ID = OBJECT_ID('EST_PED_ELTR_FORN_CTR_ENV_PG_FORN_INTEGRACAO_ARQ_PENDENTE') 
								AND NAME = 'REPROCESSAR') 
        BEGIN
            ALTER TABLE dbo.EST_PED_ELTR_FORN_CTR_ENV_PG_FORN_INTEGRACAO_ARQ_PENDENTE
              ADD REPROCESSAR INT NOT NULL CONSTRAINT DF_EST_PED_ELTR_FORN_CTR_ENV_PG_FORN_INTEGRACAO_ARQ_PENDENTE_REPROCESSAR DEFAULT 0

            PRINT 'CAMPO REPROCESSAR NA TABELA EST_PED_ELTR_FORN_CTR_ENV_PG_FORN_INTEGRACAO_ARQ_PENDENTE INSERIDO COM SUCESSO'
        END
      ELSE
        PRINT 'CAMPO REPROCESSAR NA TABELA EST_PED_ELTR_FORN_CTR_ENV_PG_FORN_INTEGRACAO_ARQ_PENDENTE JÁ EXISTE'
  END 
